org.apache.struts2.el.util

## Class MessageFactory

- java.lang.Object
- - org.apache.struts2.el.util.MessageFactory

-     public final class MessageFactory
      extends Object

  Version:
    $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: rjung $
  Author:
    Jacob Hookom [jacob@hookom.net]

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ResourceBundle` | `bundle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `get(String key)`
    `static String` | `get(String key, Object obj0)`
    `static String` | `get(String key, Object obj0, Object obj1)`
    `static String` | `get(String key, Object obj0, Object obj1, Object obj2)`
    `static String` | `get(String key, Object obj0, Object obj1, Object obj2, Object obj3)`
    `static String` | `get(String key, Object obj0, Object obj1, Object obj2, Object obj3, Object obj4)`
    `static String` | `getArray(String key, Object[] objA)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bundle

          protected static final ResourceBundle bundle

  - ### Constructor Detail

    - #### MessageFactory

          public MessageFactory()

  - ### Method Detail

    - #### get

          public static String get(String key)

    - #### get

          public static String get(String key,
                                   Object obj0)

    - #### get

          public static String get(String key,
                                   Object obj0,
                                   Object obj1)

    - #### get

          public static String get(String key,
                                   Object obj0,
                                   Object obj1,
                                   Object obj2)

    - #### get

          public static String get(String key,
                                   Object obj0,
                                   Object obj1,
                                   Object obj2,
                                   Object obj3)

    - #### get

          public static String get(String key,
                                   Object obj0,
                                   Object obj1,
                                   Object obj2,
                                   Object obj3,
                                   Object obj4)

    - #### getArray

          public static String getArray(String key,
                                        Object[] objA)

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.